#ifndef EXTERN
#  define EXTERN extern
#endif

#include "conf.h"
#include "rwconf.h"
#include "auth.h"


#include <syslog.h>

/*
 * Global functions for the portslave.
 * 
 * Most of these are in lib.c, and the static data that was here is
 * now there.
 */
int tty_copy(int crnl, int in, int out);
void *xmalloc(int size);
void block(int sig);
void unblock(int sig);
int get_line(int ppp, char *prompt, int echo, char *line, int len);
int chatarray(int fd, int argc, char **argv, char *);
int chat_expect(int fd, char *s, char *);
int chat(int fd, char *s, char *);
void unescape(char *);
char *dotted(unsigned int a);	/* wrapper for inet_ntoa */
int GetPortNo();		/* returns "this" port number, from argv */
void SetPortNo(int num);		/* sets the port # from main.c ONLY */
int GetChatTimeout();		/* Gets chat_timeout from lib.c */
void SetChatTimeout(int num);	/* Sets it from where ever */
int GetChatSendDelay();		/* Gets chat_send_delay from lib.c */
void SetChatSendDelay(int num);	/* Sets it from where ever */
int RunFilterScript(struct auth *a, int when); /* runs a framed filter */
int GetFiltersEnabled();	/* IP Filtering on? */
void SetFiltersEnabled();	/* set the flag - used for init only */
int ForkingProtocol(char proto);	/* session type - do we need to fork/exec? */


int getty(int port, char *conn_info);
int emumodem(int port, char *conn_info);
int do_login(int port, char *login, char *pass);
int spawnit(int port, struct auth *ai);
char *percent(int port, struct auth *ai, char *in);
int do_slip(int port, struct auth *ai);
int update_utmp(int port, struct auth *ai, int islogin);

/* We'll leave this here for now - it's not used much - ejg */
extern void (*chat_debug_printf)(const char *, ...);

#define FL_LOGIN 0		/* this is a login (RunFilterScript) */
#define FL_LOGOUT 1		/* this is a logout (RunFilterScript) */

